load noiseresold
figure(1)
figure(2)
figure(3)

set(1,'DefaultAxesLineStyleOrder','x-|--|--|:|:')
set(1,'DefaultAxesColorOrder',[0 0 0])
set(2,'DefaultAxesLineStyleOrder',':|--|x-|--|:')
set(2,'DefaultAxesColorOrder',[0 0 0])

var='$b_{a}$';
xl=['Number of noise entries'];
yl='No. of inputs missed';
ttl=['Misclassifications for various amounts of noise - New algorithm'];
% ttl=['Misclassifications for various ' var ', new algorithm using links'];
% ttl=['Misclassifications for various ' var ', original algorithm'];
totals=squeeze(sum(gainednoise,2));
res=squeeze(prctile(sum(gainednoise,2),[2.5 25 50 75 97.5],3));

m=mean(totals,2);
s=std(totals,1,2);

figure(1)
plot(noises,[m m+s, m-s, m+2*s,m-2*s])
ylim([0 1000])
legend('mean', 'mean+std', 'mean-std', 'mean+2std', 'mean-2std','Location','Best')
xlabel(xl,'Interpreter', 'Latex')
ylabel(yl)
title(ttl, 'Interpreter', 'Latex')


figure(2)
plot(noises, res)
ylim([0 1000])
legend('2.75%ile', 'Lower Quartile', 'Median', 'Upper Quartile', '97.5%ile','location','Best')
xlabel(xl,'Interpreter', 'Latex')
ylabel(yl)
title(ttl, 'Interpreter', 'Latex')


% figure(3)
% boxplot(totals','positions',noises,'widths',max(no)/(size(PARAM,2)+10),'labels',num2str(PARAM',2),'whisker',5)
% set(gca,'XTickLabelMode','auto')
% set(gca,'XTickMode','auto')
% ylim([0 1000])
% xlabel(xl,'Interpreter', 'Latex')
% ylabel(yl)
% title(ttl, 'Interpreter', 'Latex')

